<!-- Spinner -->
<ngx-spinner [name]='"clusters"' [fullScreen]="true" bdColor="#f5f5f583" size="medium" type="ball-fussion" color="#EDAE49"></ngx-spinner>

<!-- Navbar -->
<app-navbar></app-navbar>

<!-- Main Content -->
<div class="page">
    <!-- Cluster Table -->
    <div class="card" style="padding: 2%">
        <!-- Title -->
        <mat-label style="display: flex; justify-content: center; margin-top: 4%; margin-bottom: 4%">
            <mat-icon style="margin-right: 9px">monitor</mat-icon>
            <h1>Clusters Table</h1>
        </mat-label>

        <!-- Search -->
        <mat-form-field appearance="outline" style="margin-left: 2%; margin-right: 2%">
            <mat-label>Search...</mat-label>
            <input matInput (keyup)="applySearch($event)" placeholder="Search Clusters..." #input />
        </mat-form-field>

        <!-- Create Cluster Button -->
        <div class="row">
            <div class="col-lg-22">
                <button mat-raised-button id="create_button" class="btn-2"
                    type="button" (click)="createCluster()">
                    <span class="indicator-label">
                    <a> Create Cluster </a>
                    </span>
                </button>
            </div>
        </div>

        <!-- CRUD Table -->
        <mat-table [dataSource]="dataSourceClusters" matSort matSortActive="ID" matSortDirection="desc" matSortDisableClear
        class="mat-elevation-z8">
            <ng-container matColumnDef="ID">
                <mat-header-cell class="cells" mat-header-cell *matHeaderCellDef mat-sort-header> ID </mat-header-cell>
                <mat-cell class="cells" mat-cell *matCellDef="let element"> {{ element.ID }} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="vm_name">
                <mat-header-cell class="cells" mat-header-cell *matHeaderCellDef mat-sort-header> Name </mat-header-cell>
                <mat-cell class="cells" mat-cell *matCellDef="let element"> {{ element.vm_name }} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="Endpoint">
                <mat-header-cell class="cells" mat-header-cell *matHeaderCellDef mat-sort-header> Endpoint </mat-header-cell>
                <mat-cell class="cells" mat-cell *matCellDef="let element"> {{ element.Endpoint }} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="CPUs">
                <mat-header-cell class="cells" mat-header-cell *matHeaderCellDef mat-sort-header> CPUs </mat-header-cell>
                <mat-cell class="cells" mat-cell *matCellDef="let element"> {{ element.CPUs }} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="Storage">
                <mat-header-cell class="cells" mat-header-cell *matHeaderCellDef mat-sort-header> Storage </mat-header-cell>
                <mat-cell class="cells" mat-cell *matCellDef="let element"> {{ element.Storage }} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="Memory">
                <mat-header-cell class="cells" mat-header-cell *matHeaderCellDef mat-sort-header> Memory </mat-header-cell>
                <mat-cell class="cells" mat-cell *matCellDef="let element"> {{ element.Memory }} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="actions">
                <mat-header-cell class="cells" mat-header-cell *matHeaderCellDef mat-sort-header> Actions </mat-header-cell>
                <mat-cell class="cells" mat-cell *matCellDef="let element">
                    <button mat-icon-button color="primary" (click)="open_cluster_dashboard(element.vm_name)">
                        <mat-icon> dashboard </mat-icon>
                    </button>
                </mat-cell>
            </ng-container>





            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <tr class="mat-row" *matNoDataRow>
                <td class="mat-cell" colspan="4">No Data</td>
            </tr>
            <mat-row matRipple *matRowDef="let row; columns: displayedColumns"
            [class.green]="row.treatmentGroup == 'Intervention'" [class.red]="row.treatmentGroup == 'Control'"
            [class.netrual]="row.treatmentGroup == 'text something e.g null'"></mat-row>
        </mat-table>
        
        <!-- Paginator -->
        <mat-paginator [pageSizeOptions]="[10, 25, 100]" aria-label="Select page of users"></mat-paginator>
    </div>
</div>